/*
 * textos.c
 *
 * Este archivo se encarga de almacenar los
 * diferentes textos de los mensajes.
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include "textos.h"

char *txtSistema[256];
char *txtMensajes[256];
char *txtObjetos[256];
char *txtLugares[256];

int ultTextoSistema=-1;
int ultTextoMensaje=-1;
int ultTextoLugar=-1;
int ultTextoObjeto=-1;

void agregarTexto(char**tabla,int numero,char*texto){
  tabla[numero]=texto;
}

void dumpTexto(char*tabla[]){
  int i;
  for(i=0;i<256;i++)
    if (tabla[i]!=NULL)
      printf("%d:\n%s\n",i,tabla[i]);
}
